Re: dunfell do_image_wic error


Mauro Ziliani
 

Sorry for missing information


I get this error when I do


bitbake core-image-minimal


MZ

On 04/07/22 21:17, Mauro Ziliani wrote:
Hi all.

I update dunfell to last version.


But now I get a python exception error on do_image_wic task



| Traceback (most recent call last):
|   File "/home/yocto/sources/poky/scripts/lib/wic/filemap.py", line 457, in get_mapped_ranges
|     first_prev, last_prev = next(iterator)
| StopIteration
|
| The above exception was the direct cause of the following exception:
|
| Traceback (most recent call last):
|   File "/home/yocto/sources/poky/scripts/wic", line 542, in <module>
|     sys.exit(main(sys.argv[1:]))
|   File "/home/yocto/sources/poky/scripts/wic", line 537, in main
|     return hlp.invoke_subcommand(args, parser, hlp.wic_help_usage, subcommands)
|   File "/home/yocto/sources/poky/scripts/lib/wic/help.py", line 83, in invoke_subcommand
|     subcmd[0](args, usage)
|   File "/home/yocto/sources/poky/scripts/wic", line 219, in wic_create_subcommand
|     engine.wic_create(wks_file, rootfs_dir, bootimg_dir, kernel_dir,
|   File "/home/yocto/sources/poky/scripts/lib/wic/engine.py", line 190, in wic_create
|     plugin.do_create()
|   File "/home/yocto/sources/poky/scripts/lib/wic/plugins/imager/direct.py", line 96, in do_create
|     self.create()
|   File "/home/yocto/sources/poky/scripts/lib/wic/plugins/imager/direct.py", line 180, in create
|     self._image.prepare(self)
|   File "/home/yocto/sources/poky/scripts/lib/wic/plugins/imager/direct.py", line 354, in prepare
|     part.prepare(imager, imager.workdir, imager.oe_builddir,
|   File "/home/yocto/sources/poky/scripts/lib/wic/partition.py", line 182, in prepare
|     plugin.do_prepare_partition(self, srcparams_dict, creator,
|   File "/home/yocto/sources/poky/scripts/lib/wic/plugins/source/rawcopy.py", line 68, in do_prepare_partition
|     sparse_copy(src, dst)
|   File "/home/yocto/sources/poky/scripts/lib/wic/filemap.py", line 539, in sparse_copy
|     for first, last in fmap.get_mapped_ranges(0, fmap.blocks_cnt):
| RuntimeError: generator raised StopIteration

MZ


Join yocto@lists.yoctoproject.org to automatically receive all group messages.